### Constructor

# Gtk IconPaintablenew_for_file

#### Declaration [src]

    GtkIconPaintable*
    gtk_icon_paintable_new_for_file (
      GFile* file,
      int size,
      int scale
    )

#### Description [src]

Creates a `GtkIconPaintable` for a file with a given size and scale.

The icon can then be rendered by using it as a `GdkPaintable`.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`

  The data is owned by the caller of the function.

`size`

  Type: `int`

  Desired icon size.

`scale`

  Type: `int`

  The desired scale.

#### Return value

Type: `GtkIconPaintable`

A `GtkIconPaintable` containing for the icon. Unref with `g_object_unref()`

The caller of the function takes ownership of the data, and is responsible for freeing it.